summaryrefslogtreecommitdiff
path: root/package/pcsc-lite/files/pcscd.init
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-05-27 17:19:33 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2010-05-27 17:19:33 +0200
commit9a841e2aed7b7e52958e5703215643dd3cf45ad0 (patch)
tree58b5a13611e2450d6f88eae256b43e3d6cbd5356 /package/pcsc-lite/files/pcscd.init
parentc12b595892e3231182239998f6561bd6556a9947 (diff)
parent23eff1d5d3d4f22fc3d2fe9de026e3df3edf426d (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Diffstat (limited to 'package/pcsc-lite/files/pcscd.init')
-rw-r--r--package/pcsc-lite/files/pcscd.init27
1 files changed, 27 insertions, 0 deletions
diff --git a/package/pcsc-lite/files/pcscd.init b/package/pcsc-lite/files/pcscd.init
new file mode 100644
index 000000000..557762eca
--- /dev/null
+++ b/package/pcsc-lite/files/pcscd.init
@@ -0,0 +1,27 @@
+#!/bin/sh
+#PKG pcscd
+#INIT 80
+
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${pcscd:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ pcscd
+ ;;
+stop)
+ pkill pcscd
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "usage: $0 {start | stop | restart}"
+ ;;
+esac
+exit $?